@import '~styles/variables.less';

.casePreview {
	position: relative;

	@media(min-width: @breakpoint-3) {
		display: flex;
		flex-direction: row-reverse;
		justify-content: space-between;
		align-items: stretch;
	}
}

.wrapper {
	@media(min-width: @breakpoint-3) {
		max-width: 450px;
		width: 100%;

		display: flex;
		flex-direction: column;
		justify-content: center;
		position: relative;
	}
}

.number {
	margin: 0 0 30px;

	display: flex;
	flex-direction: column;

	font-size: 16px;
	font-family: 'Universe';
	color: @white;

	&:after {
		content: '';

		margin-top: 10px;

		width: 50px;
		height: 1px;
		display: inline-block;

		background-color: @yellow;
	}

	@media(min-width: @breakpoint-3) {
		position: absolute;
		left: 0;
		top: 30%;
		transform: translateY(-50%);
	}
}

.preview {
	margin: 30px 0 20px 0;

	max-width: 760px;

	img {
		position: relative;
		z-index: 1;

		width: 100%;
	}

	@media(min-width: @breakpoint-3) {
		position: relative;

		&:before {
			content: '';

			position: absolute;
			top: -60px;
			left: -60px;

			width: 80%;
			height: 100%;

			background-color: @bg-color;
		}
	}
}

.title {
	margin: 30px 0 20px;

	@media(min-width: @breakpoint-3) {
		margin: 30px 0 40px;
	}
}

.button {
	max-width: 100%;

	@media(min-width: @breakpoint-3) {
		position: absolute;
		bottom: -1px;
	}
}
